﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using RobotCtrl;

namespace RobotView
{
    public partial class SwitchView : UserControl
    {
        private bool swtch;

        public bool Switch
        {
            get { return swtch; }
            set { SwitchValue(value); }
        }

        private SwitchView()
        {
            InitializeComponent();

            this.Width = Resource1.SWITCH_OFF.Width;
            this.Height = Resource1.SWITCH_OFF.Height;

            this.pictureBox.Image = Resource1.SWITCH_OFF;
        }

        private DigitalIn digitalIn;
        private int bitIndex;
        public SwitchView(DigitalIn digitalIn, int bitIndex): this()
        {
            this.digitalIn = digitalIn;
            this.bitIndex = bitIndex;
        }

        public bool SwitchValue(bool switchValue)
        {
            this.swtch = switchValue;
            pictureBox.Image = (swtch) ? Resource1.SWITCH_ON : Resource1.SWITCH_OFF;

            if (digitalIn != null)
            {
                digitalIn[bitIndex] = swtch;
            }
            return swtch;
        }

        private void pictureBox_Click(object sender, EventArgs e)
        {
            SwitchValue(!swtch);
        }
    }
}
